summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2018-05-29 20:25:43 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2018-05-29 20:25:43 +0000
commitc8b975ff5226e2288f58aee16fa2bf694a30eb3b (patch)
tree9b511c38729ee55b3996a507bad5023cbf1e731f
parent2018-05-29 19:46:00 UTC (diff)
parentpackage.mask: Unmask games-rpg/wasteland2 (diff)
downloadgentoo-c8b975ff5226e2288f58aee16fa2bf694a30eb3b.tar.gz
gentoo-c8b975ff5226e2288f58aee16fa2bf694a30eb3b.tar.bz2
gentoo-c8b975ff5226e2288f58aee16fa2bf694a30eb3b.zip
Merge updates from master
-rw-r--r--app-emulation/coldfire/coldfire-0.3.1.ebuild21
-rw-r--r--app-misc/binclock/binclock-1.5.ebuild21
-rw-r--r--app-misc/binclock/files/binclock-1.5-Makefile.patch22
-rw-r--r--app-text/tokyodystopia/tokyodystopia-0.9.15.ebuild27
-rw-r--r--dev-db/tokyocabinet/tokyocabinet-1.4.48.ebuild55
-rw-r--r--dev-lisp/sbcl/Manifest2
-rw-r--r--dev-lisp/sbcl/sbcl-1.4.8.ebuild246
-rw-r--r--dev-python/Babel/Babel-2.5.3-r1.ebuild2
-rw-r--r--dev-python/freezegun/freezegun-0.3.10.ebuild2
-rw-r--r--games-rpg/wasteland2/Manifest2
-rw-r--r--mail-filter/couriersrs/couriersrs-0.1.2.ebuild19
-rw-r--r--media-gfx/cellwriter/Manifest1
-rw-r--r--media-gfx/cellwriter/cellwriter-1.3.4.ebuild29
-rw-r--r--media-gfx/jpegpixi/jpegpixi-1.1.1.ebuild10
-rw-r--r--media-gfx/jpegtoavi/files/jpegtoavi-1.5-Makefile.patch4
-rw-r--r--media-gfx/jpegtoavi/jpegtoavi-1.5.ebuild15
-rw-r--r--media-libs/celt/celt-0.5.1.3.ebuild12
-rw-r--r--media-libs/ilmbase/files/ilmbase-1.0.0-asneeded.patch4
-rw-r--r--media-libs/ilmbase/files/ilmbase-1.0.2-gcc43.patch4
-rw-r--r--media-libs/ilmbase/ilmbase-1.0.2.ebuild20
-rw-r--r--media-libs/tse3/files/tse3-0.2.7-gcc4.patch4
-rw-r--r--media-libs/tse3/files/tse3-0.2.7-size_t-64bit.patch8
-rw-r--r--media-libs/tse3/files/tse3-0.3.1+gcc-4.3.patch28
-rw-r--r--media-libs/tse3/files/tse3-0.3.1-parallelmake.patch4
-rw-r--r--media-libs/tse3/tse3-0.3.1-r1.ebuild30
-rw-r--r--net-libs/libssh2/libssh2-1.8.0-r1.ebuild2
-rw-r--r--net-wireless/bluez/bluez-5.49-r1.ebuild2
-rw-r--r--profiles/package.mask1
-rw-r--r--sci-visualization/gnuplot/gnuplot-5.2.2.ebuild4
-rw-r--r--sys-apps/usbutils/usbutils-009.ebuild2
-rw-r--r--sys-fs/e2fsprogs/e2fsprogs-1.43.9.ebuild2
-rw-r--r--sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.43.9.ebuild2
32 files changed, 393 insertions, 214 deletions
diff --git a/app-emulation/coldfire/coldfire-0.3.1.ebuild b/app-emulation/coldfire/coldfire-0.3.1.ebuild
index ac3e77cd5aa0..21e971272979 100644
--- a/app-emulation/coldfire/coldfire-0.3.1.ebuild
+++ b/app-emulation/coldfire/coldfire-0.3.1.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
-
-inherit eutils
+EAPI=7
DESCRIPTION="Motorola Coldfire Emulator"
HOMEPAGE="http://www.slicer.ca/coldfire/"
@@ -14,16 +12,15 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
-DEPEND="sys-libs/ncurses
- sys-libs/readline"
+DEPEND="sys-libs/ncurses:0=
+ sys-libs/readline:0="
-src_prepare() {
- epatch "${FILESDIR}"/${P}-build.patch
- epatch "${FILESDIR}"/${P}-headers.patch
-}
+PATCHES=(
+ "${FILESDIR}/${P}-build.patch"
+ "${FILESDIR}/${P}-headers.patch"
+)
src_install() {
- dodir /usr/bin
- einstall || die
+ dobin coldfire
dodoc CONTRIBUTORS HACKING README
}
diff --git a/app-misc/binclock/binclock-1.5.ebuild b/app-misc/binclock/binclock-1.5.ebuild
index 3e80505179b1..0c4db18b0aad 100644
--- a/app-misc/binclock/binclock-1.5.ebuild
+++ b/app-misc/binclock/binclock-1.5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
+EAPI=6
-inherit toolchain-funcs
+inherit flag-o-matic toolchain-funcs
DESCRIPTION="Displays a binary clock in your terminal"
HOMEPAGE="http://www.ngolde.de/binclock/"
@@ -17,16 +17,15 @@ IUSE=""
RDEPEND=""
DEPEND=">=sys-apps/sed-4"
-src_prepare() {
- sed -i -e s/strip/true/ Makefile || die
-}
+PATCHES=( "${FILESDIR}/binclock-1.5-Makefile.patch" )
-src_compile() {
- emake CC="$(tc-getCC)" CFLAGS="${CFLAGS} ${LDFLAGS}" || die "emake failed"
+src_configure() {
+ append-cflags -Wall -pedantic
+ tc-export CC
}
src_install() {
- dobin binclock || die "dobin failed"
- doman doc/binclock.1 || die "doman failed"
- dodoc CHANGELOG README binclockrc || die "dodoc failed"
+ dobin binclock
+ doman doc/binclock.1
+ dodoc CHANGELOG README binclockrc
}
diff --git a/app-misc/binclock/files/binclock-1.5-Makefile.patch b/app-misc/binclock/files/binclock-1.5-Makefile.patch
new file mode 100644
index 000000000000..15a510186b55
--- /dev/null
+++ b/app-misc/binclock/files/binclock-1.5-Makefile.patch
@@ -0,0 +1,22 @@
+--- a/Makefile 2018-05-29 10:18:47.795059054 -0400
++++ b/Makefile 2018-05-29 10:21:37.126740904 -0400
+@@ -18,8 +18,6 @@
+ # Boston, MA 02111-1307, USA
+ #
+
+-CC = gcc
+-CFLAGS = -O2 -Wall --pedantic
+ BIN = binclock
+ SRC = ./src/binclock.c
+ INSPATH = /usr/local/bin/
+@@ -28,8 +26,8 @@
+ CONF = /etc/
+
+ all : $(MAINSRC)
+- $(CC) $(CFLAGS) -o $(BIN) $(SRC)
+- strip $(SOURCEPATH)$(BIN)
++ $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $(BIN) $(SRC)
++ true $(SOURCEPATH)$(BIN)
+
+ install :
+
diff --git a/app-text/tokyodystopia/tokyodystopia-0.9.15.ebuild b/app-text/tokyodystopia/tokyodystopia-0.9.15.ebuild
index 9a0508821fb2..853fc3b700e1 100644
--- a/app-text/tokyodystopia/tokyodystopia-0.9.15.ebuild
+++ b/app-text/tokyodystopia/tokyodystopia-0.9.15.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
-
-inherit eutils
+EAPI=7
DESCRIPTION="A fulltext search engine for Tokyo Cabinet"
HOMEPAGE="http://fallabs.com/tokyodystopia/"
@@ -17,28 +15,27 @@ IUSE="examples"
DEPEND="dev-db/tokyocabinet"
RDEPEND="${DEPEND}"
-src_prepare() {
- epatch "${FILESDIR}/fix_rpath.patch"
- epatch "${FILESDIR}/fix_ldconfig.patch"
- epatch "${FILESDIR}/remove_docinst.patch"
-}
+PATCHES=(
+ "${FILESDIR}/fix_rpath.patch"
+ "${FILESDIR}/fix_ldconfig.patch"
+ "${FILESDIR}/remove_docinst.patch"
+)
src_configure() {
- econf --libexecdir=/usr/libexec/${PN} || die
+ econf --libexecdir="${EPREFIX}"/usr/libexec/${PN}
}
src_install() {
- emake DESTDIR="${D}" install || die "Install failed"
+ HTML_DOCS=( doc/. )
- dohtml doc/* || die
+ default
if use examples; then
insinto /usr/share/${PF}/example
- doins example/* || die "Install failed"
+ doins example/.
fi
-
}
src_test() {
- emake -j1 check || die "Tests failed"
+ emake -j1 check
}
diff --git a/dev-db/tokyocabinet/tokyocabinet-1.4.48.ebuild b/dev-db/tokyocabinet/tokyocabinet-1.4.48.ebuild
deleted file mode 100644
index 3296d12046cb..000000000000
--- a/dev-db/tokyocabinet/tokyocabinet-1.4.48.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="2"
-
-inherit eutils autotools
-
-DESCRIPTION="A library of routines for managing a database"
-HOMEPAGE="http://fallabs.com/tokyocabinet/"
-SRC_URI="${HOMEPAGE}${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="alpha amd64 hppa ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
-IUSE="debug doc examples"
-
-DEPEND="sys-libs/zlib
- app-arch/bzip2"
-RDEPEND="${DEPEND}"
-
-src_prepare() {
- epatch "${FILESDIR}/fix_rpath.patch"
- sed -i \
- -e "/ldconfig/d" \
- -e "/DATADIR/d" Makefile.in || die
- # cflags fix - remove -O2 at end of line and -fomit-frame-pointer
- sed -i -e 's/-O3"$/"/' configure.in || die
- sed -i -e 's/-fomit-frame-pointer//' configure.in || die
- # flag only works on x86 derivatives, remove everywhere else
- if ! use x86 && ! use amd64; then sed -i -e 's/ -minline-all-stringops//' configure.in; fi
- eautoreconf
-}
-
-src_configure() {
- # we use the "fastest" target without the -O3
- econf $(use_enable debug) --enable-off64 --enable-fastest
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "Install failed"
-
- if use examples; then
- insinto /usr/share/${PF}/example
- doins example/* || die "Install failed"
- fi
-
- if use doc; then
- insinto /usr/share/doc/${PF}
- doins -r doc/* || die "Install failed"
- fi
-}
-
-src_test() {
- emake -j1 check || die "Tests failed"
-}
diff --git a/dev-lisp/sbcl/Manifest b/dev-lisp/sbcl/Manifest
index c2cbe704f293..10453f66a1be 100644
--- a/dev-lisp/sbcl/Manifest
+++ b/dev-lisp/sbcl/Manifest
@@ -19,3 +19,5 @@ DIST sbcl-1.4.2-arm64-linux-binary.tar.bz2 10578821 BLAKE2B 1cd25c548be0f1b7ec01
DIST sbcl-1.4.3-x86-linux-binary.tar.bz2 10227185 BLAKE2B 6d77c4f4177cbdb72fb9bab0da5bd91e0aa8deafffd238818a2551332f0ab246715d9489b5c1156f3481aa7fb79d161a988404620fc09fe86ff927543a1ee678 SHA512 41cd63d61dd7c46370341dce39a362287a23b528bfebe8e5571614aeefdea03d318207d25562e995db9ccedb6c1f50ea4d66627721f0fd9486e99440126e6a38
DIST sbcl-1.4.7-source.tar.bz2 6031614 BLAKE2B b98d8c3891e4f3180624ef0ccc1e81146d97e58c577c9efb2b3ac178f81a836f4019111a6c33ec31edb47d41920249c33a87955303c02ffc608ea42747b7f662 SHA512 b6eb749878920bec90f50f19c8c8700f700677ae1a7f7fb1ba1bbaa37f218d36eeee0dea65eb200f0cd09a9694600969f4c15042faf357395715b5390a6fdb6b
DIST sbcl-1.4.7-x86-64-linux-binary.tar.bz2 10380734 BLAKE2B 0d39cc7b0873e938e85182b687b0a1be9200c4ebe67c7175b7c9c6393b27c8f78bd2afa201b7ca91c39bcaeed4456f2578901518850b1db0975cddd55e9b0210 SHA512 517b6935e51ea56ee2c67692980fe7fa7382a2e4501437c7ec00a52aefeebd5e442f4bb8dbfdbe32e43a301fc5f0c584604027e7889ebb8ba269cafe866d6381
+DIST sbcl-1.4.8-source.tar.bz2 6040563 BLAKE2B e4d16993cec80a8d40bad9071c6ce0a9ce80aae4d49f682fc58d4a8124dd14200229dc063cb653af753afece1ca98d77b600d2c7f80d17e6b9fd8af33a5297f3 SHA512 f8bd6b4126b19de4e73557319118aa03999caf84c8913bdd51ce18b8ddba14944f3d1daf08f852b72ae862ae0e613dbfbfdddca3750f4464c1be924d685ccc9d
+DIST sbcl-1.4.8-x86-64-linux-binary.tar.bz2 10353701 BLAKE2B 5b56f46fbdb87f015ed1fe103b6caaf43d2d424b45e2574e306b3d3cbc3c7bdfa48847a2e6d7d819e6bf4b59fa02ea01f9ce6b023802ae6f91fc7f56e5a260de SHA512 f3cb3c30dec1b7e6ac0c1b67de26192723871f8a8d543a41d7c4d04b0813fd7da1043433237b648a2c23f73169fe38f2ec3a3c2bd412eb4c9d36ed929c40f27d
diff --git a/dev-lisp/sbcl/sbcl-1.4.8.ebuild b/dev-lisp/sbcl/sbcl-1.4.8.ebuild
new file mode 100644
index 000000000000..f07d8939edfa
--- /dev/null
+++ b/dev-lisp/sbcl/sbcl-1.4.8.ebuild
@@ -0,0 +1,246 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib eutils flag-o-matic pax-utils
+
+#same order as http://www.sbcl.org/platform-table.html
+BV_X86=1.4.3
+BV_AMD64=1.4.8
+BV_PPC=1.2.7
+BV_SPARC=1.0.28
+BV_ALPHA=1.0.28
+BV_ARM=1.3.12
+BV_ARM64=1.4.2
+BV_X86_MACOS=1.1.6
+BV_X64_MACOS=1.2.11
+BV_PPC_MACOS=1.0.47
+BV_X86_SOLARIS=1.2.7
+BV_X64_SOLARIS=1.2.7
+BV_SPARC_SOLARIS=1.0.23
+
+DESCRIPTION="Steel Bank Common Lisp (SBCL) is an implementation of ANSI Common Lisp"
+HOMEPAGE="http://sbcl.sourceforge.net/"
+SRC_URI="mirror://sourceforge/sbcl/${P}-source.tar.bz2
+ x86? ( mirror://sourceforge/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
+ amd64? ( mirror://sourceforge/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
+ ppc? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
+ sparc? ( mirror://sourceforge/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
+ alpha? ( mirror://sourceforge/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
+ arm? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
+ arm64? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
+ x86-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_X86_MACOS}-x86-darwin-binary.tar.bz2 )
+ x64-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
+ ppc-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
+ x86-solaris? ( mirror://sourceforge/sbcl/${PN}-${BV_X86_SOLARIS}-x86-solaris-binary.tar.bz2 )
+ x64-solaris? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
+ sparc-solaris? ( mirror://sourceforge/sbcl/${PN}-${BV_SPARC_SOLARIS}-sparc-solaris-binary.tar.bz2 )"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~x86-solaris"
+IUSE="debug doc source +threads +unicode pax_kernel zlib"
+
+CDEPEND=">=dev-lisp/asdf-3.1:="
+DEPEND="${CDEPEND}
+ doc? ( sys-apps/texinfo >=media-gfx/graphviz-2.26.0 )
+ pax_kernel? ( sys-apps/elfix )"
+RDEPEND="${CDEPEND}
+ !prefix? ( elibc_glibc? ( >=sys-libs/glibc-2.6 ) )"
+
+# Disable warnings about executable stacks, as this won't be fixed soon by upstream
+QA_EXECSTACK="usr/bin/sbcl"
+
+CONFIG="${S}/customize-target-features.lisp"
+ENVD="${T}/50sbcl"
+
+# Prevent ASDF from using the system libraries
+CL_SOURCE_REGISTRY="(:source-registry :ignore-inherited-configuration)"
+ASDF_OUTPUT_TRANSLATIONS="(:output-translations :ignore-inherited-configuration)"
+
+usep() {
+ use ${1} && echo "true" || echo "false"
+}
+
+sbcl_feature() {
+ echo "$( [[ ${1} == "true" ]] && echo "(enable ${2})" || echo "(disable ${2})")" >> "${CONFIG}"
+}
+
+sbcl_apply_features() {
+ sed 's/^X//' > "${CONFIG}" <<-'EOF'
+ (lambda (list)
+ X (flet ((enable (x) (pushnew x list))
+ X (disable (x) (setf list (remove x list))))
+ EOF
+ if use x86 || use amd64; then
+ sbcl_feature "$(usep threads)" ":sb-thread"
+ fi
+ sbcl_feature "true" ":sb-ldb"
+ sbcl_feature "false" ":sb-test"
+ sbcl_feature "$(usep unicode)" ":sb-unicode"
+ sbcl_feature "$(usep zlib)" ":sb-core-compression"
+ sbcl_feature "$(usep debug)" ":sb-xref-for-internals"
+ sed 's/^X//' >> "${CONFIG}" <<-'EOF'
+ X )
+ X list)
+ EOF
+ cat "${CONFIG}"
+}
+
+src_unpack() {
+ unpack ${A}
+ mv sbcl-*-* sbcl-binary || die
+ cd "${S}"
+}
+
+src_prepare() {
+ # bug #468482
+ eapply "${FILESDIR}"/concurrency-test-1.3.15.patch
+ # bugs #486552, #527666, #517004
+ eapply "${FILESDIR}"/${PN}-1.4.0-bsd-sockets-test.patch
+ # bugs #560276, #561018
+ eapply "${FILESDIR}"/sb-posix-test-1.2.15.patch
+
+ eapply "${FILESDIR}"/${PN}-1.2.11-solaris.patch
+ eapply "${FILESDIR}"/${PN}-1.4.0-verbose-build.patch
+
+ eapply_user
+
+ # Make sure the *FLAGS variables are sane.
+ # sbcl needs symbols in resulting binaries, so building with the -s linker flag will fail.
+ strip-unsupported-flags
+ filter-flags -fomit-frame-pointer -Wl,-s
+ filter-ldflags -s
+
+ # original bugs #526194, #620532
+ # this broke no-pie default builds, c.f. bug #632670
+ # Pass CFLAGS down by appending our value, to let users override
+ # the default values.
+ # Keep passing LDFLAGS down via the LINKFLAGS variable.
+ sed -e "s@\(CFLAGS += -g .*\)\$@\1 ${CFLAGS}@" \
+ -e "s@LINKFLAGS += -g\$@LINKFLAGS += ${LDFLAGS}@" \
+ -i src/runtime/GNUmakefile || die
+
+ sed -e "s@SBCL_PREFIX=\"/usr/local\"@SBCL_PREFIX=\"${EPREFIX}/usr\"@" \
+ -i make-config.sh || die
+
+ # Use installed ASDF version
+ cp "${EPREFIX}"/usr/share/common-lisp/source/asdf/build/asdf.lisp contrib/asdf/ || die
+ # Avoid installation of ASDF info page. See bug #605752
+ sed '/INFOFILES/s/asdf.info//' -i doc/manual/Makefile || die
+
+ use source && sed 's%"$(BUILD_ROOT)%$(MODULE).lisp "$(BUILD_ROOT)%' -i contrib/vanilla-module.mk
+
+ # Some shells(such as dash) don't have "time" as builtin
+ # and we don't want to DEPEND on sys-process/time
+ sed "s,^time ,," -i make.sh || die
+ sed "s,/lib,/$(get_libdir),g" -i install.sh || die
+ # #define SBCL_HOME ...
+ sed "s,/usr/local/lib,${EPREFIX}/usr/$(get_libdir),g" -i src/runtime/runtime.c || die
+ # change location of /etc/sbclrc ...
+ sed "s,/etc/sbclrc,${EPREFIX}/etc/sbclrc,g" -i src/code/toplevel.lisp || die
+
+ find . -type f -name .cvsignore -delete
+}
+
+src_configure() {
+ # customizing SBCL version as per
+ # http://sbcl.cvs.sourceforge.net/sbcl/sbcl/doc/PACKAGING-SBCL.txt?view=markup
+ echo -e ";;; Auto-generated by Gentoo\n\"gentoo-${PR}\"" > branch-version.lisp-expr
+
+ # applying customizations
+ sbcl_apply_features
+}
+
+src_compile() {
+ local bindir="${WORKDIR}"/sbcl-binary
+
+ if use pax_kernel ; then
+ # To disable PaX on hardened systems
+ pax-mark -mr "${bindir}"/src/runtime/sbcl
+
+ # Hack to disable PaX on second GENESIS stage
+ sed -i -e '/^[ \t]*echo \/\/doing warm init - compilation phase$/a\ paxmark.sh -mr \.\/src\/runtime\/sbcl' \
+ "${S}"/make-target-2.sh || die "Cannot disable PaX on second GENESIS runtime"
+ fi
+
+ # clear the environment to get rid of non-ASCII strings, see bug #174702
+ # set HOME for paludis
+ env - HOME="${T}" PATH="${PATH}" \
+ CC="$(tc-getCC)" AS="$(tc-getAS)" LD="$(tc-getLD)" \
+ CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" ASFLAGS="${ASFLAGS}" LDFLAGS="${LDFLAGS}" \
+ GNUMAKE=make ./make.sh \
+ "sh ${bindir}/run-sbcl.sh --no-sysinit --no-userinit --disable-debugger" \
+ || die "make failed"
+
+ # need to set HOME because libpango(used by graphviz) complains about it
+ if use doc; then
+ env - HOME="${T}" PATH="${PATH}" \
+ CL_SOURCE_REGISTRY="(:source-registry :ignore-inherited-configuration)" \
+ ASDF_OUTPUT_TRANSLATIONS="(:output-translations :ignore-inherited-configuration)" \
+ make -C doc/manual info html || die "Cannot build manual"
+ env - HOME="${T}" PATH="${PATH}" \
+ CL_SOURCE_REGISTRY="(:source-registry :ignore-inherited-configuration)" \
+ ASDF_OUTPUT_TRANSLATIONS="(:output-translations :ignore-inherited-configuration)" \
+ make -C doc/internals info html || die "Cannot build internal docs"
+ fi
+}
+
+src_test() {
+ ewarn "Unfortunately, it is known that some tests fail eg."
+ ewarn "run-program.impure.lisp. This is an issue of the upstream's"
+ ewarn "development and not of Gentoo's side. Please, before filing"
+ ewarn "any bug(s) search for older submissions. Thank you."
+ time ( cd tests && sh run-tests.sh )
+}
+
+src_install() {
+ # install system-wide initfile
+ dodir /etc/
+ sed 's/^X//' > "${ED}"/etc/sbclrc <<-EOF
+ ;;; The following is required if you want source location functions to
+ ;;; work in SLIME, for example.
+ X
+ (setf (logical-pathname-translations "SYS")
+ X '(("SYS:SRC;**;*.*.*" #p"${EPREFIX}/usr/$(get_libdir)/sbcl/src/**/*.*")
+ X ("SYS:CONTRIB;**;*.*.*" #p"${EPREFIX}/usr/$(get_libdir)/sbcl/**/*.*")))
+ X
+ ;;; Setup ASDF2
+ (load "${EPREFIX}/etc/common-lisp/gentoo-init.lisp")
+ EOF
+
+ # Install documentation
+ unset SBCL_HOME
+ INSTALL_ROOT="${ED}/usr" LIB_DIR="${EPREFIX}/usr/$(get_libdir)" DOC_DIR="${ED}/usr/share/doc/${PF}" \
+ sh install.sh || die "install.sh failed"
+
+ # bug #517008
+ pax-mark -mr "${D}"/usr/bin/sbcl
+
+ # rm empty directories lest paludis complain about this
+ find "${ED}" -empty -type d -exec rmdir -v {} +
+
+ if use doc; then
+ dodoc -r doc/internals/sbcl-internals
+
+ doinfo doc/manual/*.info*
+ doinfo doc/internals/sbcl-internals.info
+
+ docinto internals-notes
+ dodoc doc/internals-notes/*
+ else
+ rm -Rv "${ED}/usr/share/doc/${PF}" || die
+ fi
+
+ # install the SBCL source
+ if use source; then
+ ./clean.sh
+ cp -av src "${ED}/usr/$(get_libdir)/sbcl/" || die
+ fi
+
+ # necessary for running newly-saved images
+ echo "SBCL_HOME=${EPREFIX}/usr/$(get_libdir)/${PN}" > "${ENVD}"
+ echo "SBCL_SOURCE_ROOT=${EPREFIX}/usr/$(get_libdir)/${PN}/src" >> "${ENVD}"
+ doenvd "${ENVD}"
+}
diff --git a/dev-python/Babel/Babel-2.5.3-r1.ebuild b/dev-python/Babel/Babel-2.5.3-r1.ebuild
index 8a64938ac16f..254db65acaff 100644
--- a/dev-python/Babel/Babel-2.5.3-r1.ebuild
+++ b/dev-python/Babel/Babel-2.5.3-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE="doc test"
RDEPEND="dev-python/pytz[${PYTHON_USEDEP}]
diff --git a/dev-python/freezegun/freezegun-0.3.10.ebuild b/dev-python/freezegun/freezegun-0.3.10.ebuild
index cd858343f8e2..2e7dd7ae6b8e 100644
--- a/dev-python/freezegun/freezegun-0.3.10.ebuild
+++ b/dev-python/freezegun/freezegun-0.3.10.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="test"
RDEPEND="
diff --git a/games-rpg/wasteland2/Manifest b/games-rpg/wasteland2/Manifest
index 1c3b4506b6fc..a45277e699da 100644
--- a/games-rpg/wasteland2/Manifest
+++ b/games-rpg/wasteland2/Manifest
@@ -1 +1 @@
-DIST gog_wasteland_2_1.9.0.13.tar.gz 10959158010 SHA256 0f6bf4f806de3233a11ec1049f96d779f8d013dc38f296d101466701fa931728 SHA512 8b5ed19ffee9505efaf03f7ef3ba55dbdbbeda68b7961e92c22776bbb7e842df8c5e5ee727967e79dec753fd03d39f0a1c98e380e540971834b56066b6a79929 WHIRLPOOL d53f4636606c03a5977b9603495f61aaedc3f1851a1ca2bd8b4b2bda6feff8de0f9ec488fa10b052870fbfbea875673f2fe27fafd92ee0c663b0ae158171c2ee
+DIST gog_wasteland_2_1.9.0.13.tar.gz 10959158010 BLAKE2B 8a82a608b3530fd2000ebe689b337529630da3c81ac4fc9369d9dd210b48b842658770b16ea451f3eedd63fcc682ad0c898fcff895d119ab4395fad32c04e9c4 SHA512 8b5ed19ffee9505efaf03f7ef3ba55dbdbbeda68b7961e92c22776bbb7e842df8c5e5ee727967e79dec753fd03d39f0a1c98e380e540971834b56066b6a79929
diff --git a/mail-filter/couriersrs/couriersrs-0.1.2.ebuild b/mail-filter/couriersrs/couriersrs-0.1.2.ebuild
index 80b3a5a32511..a23e682a6f28 100644
--- a/mail-filter/couriersrs/couriersrs-0.1.2.ebuild
+++ b/mail-filter/couriersrs/couriersrs-0.1.2.ebuild
@@ -1,28 +1,27 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
+EAPI=6
-inherit autotools eutils
+inherit autotools
DESCRIPTION="SRS (Sender Rewriting Scheme) wrapper for the courier MTA"
HOMEPAGE="http://couriersrs.com/"
SRC_URI="http://couriersrs.com/download/${P}.tar.gz"
+
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~x86"
IUSE=""
+
DEPEND="dev-libs/popt
mail-filter/libsrs2"
RDEPEND="${DEPEND}"
+PATCHES=( "${FILESDIR}/${P}-automake-fixes.diff" )
+
src_prepare() {
- rm m4/*.m4
- epatch "${FILESDIR}/${P}-automake-fixes.diff"
+ default
+ rm m4/*.m4 || die "rm failed!"
AT_M4DIR="m4" eautoreconf
}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
- dodoc AUTHORS NEWS ChangeLog
-}
diff --git a/media-gfx/cellwriter/Manifest b/media-gfx/cellwriter/Manifest
index fdc4ac04e0d3..4777296cfe13 100644
--- a/media-gfx/cellwriter/Manifest
+++ b/media-gfx/cellwriter/Manifest
@@ -1,2 +1 @@
-DIST cellwriter-1.3.4.tar.gz 284647 BLAKE2B 93d970c6422c2f250ee516d37e65fe4841efd504ced7ad43c21157574281df4ec0bf57cad5b2802c149d48d14b5ae2b4bfac404028ab4cfa6d9d6e0a2fc5fcd2 SHA512 5839670912a456cc9becef61b9f293575bc04fd4113877a21e9fea247a964917a399393007c3793066fa92a2ba0560776100d56ea56d1dadd49052a4844e1582
DIST cellwriter-1.3.5.tar.gz 293241 BLAKE2B 57d287782af21ae8010dc43ea89a2da081ecee854740cd8c5991de62450929a89f04c1601ff77ac69b945d5997042c8f739defa00614aa0af947655d5251f8ef SHA512 a9b682babda4335ea18716032ac52e73578459e9ab8866b20177f6d0cb606b9da2bf5a3fae2e2547277351db2533c7e92461f5c6a6ebc542ffe5844ff7ae65d6
diff --git a/media-gfx/cellwriter/cellwriter-1.3.4.ebuild b/media-gfx/cellwriter/cellwriter-1.3.4.ebuild
deleted file mode 100644
index cb3737df9143..000000000000
--- a/media-gfx/cellwriter/cellwriter-1.3.4.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=2
-
-DESCRIPTION="Grid-entry natural handwriting input panel"
-HOMEPAGE="http://risujin.org/cellwriter/"
-SRC_URI="http://pub.risujin.org/cellwriter/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE="gnome"
-
-RDEPEND="x11-libs/libXtst
- >=x11-libs/gtk+-2.10:2
- gnome? ( gnome-base/libgnome )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- x11-base/xorg-proto"
-
-src_configure() {
- econf $(use_with gnome)
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die
- dodoc AUTHORS ChangeLog NEWS README
-}
diff --git a/media-gfx/jpegpixi/jpegpixi-1.1.1.ebuild b/media-gfx/jpegpixi/jpegpixi-1.1.1.ebuild
index e0158313e68a..78bf7510b840 100644
--- a/media-gfx/jpegpixi/jpegpixi-1.1.1.ebuild
+++ b/media-gfx/jpegpixi/jpegpixi-1.1.1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=2
+EAPI=6
DESCRIPTION="almost lossless JPEG pixel interpolator, for correcting digital camera defects"
HOMEPAGE="http://www.zero-based.org/software/jpegpixi/"
@@ -15,7 +15,7 @@ IUSE=""
DEPEND="virtual/jpeg"
src_install() {
- dobin jpegpixi jpeghotp || die
- doman man/jpegpixi.1 man/jpeghotp.1
- dodoc AUTHORS NEWS README README.jpeglib ChangeLog
+ dobin jpeg{hotp,pixi}
+ doman man/jpeg{hotp,pixi}.1
+ einstalldocs AUTHORS NEWS README README.jpeglib ChangeLog
}
diff --git a/media-gfx/jpegtoavi/files/jpegtoavi-1.5-Makefile.patch b/media-gfx/jpegtoavi/files/jpegtoavi-1.5-Makefile.patch
index 9f562f293b31..3f7d60695389 100644
--- a/media-gfx/jpegtoavi/files/jpegtoavi-1.5-Makefile.patch
+++ b/media-gfx/jpegtoavi/files/jpegtoavi-1.5-Makefile.patch
@@ -1,5 +1,5 @@
---- Makefile.orig 2010-03-02 23:06:07.000000000 +0200
-+++ Makefile 2010-03-02 23:11:59.000000000 +0200
+--- a/Makefile 2010-03-02 23:06:07.000000000 +0200
++++ b/Makefile 2010-03-02 23:11:59.000000000 +0200
@@ -1,4 +1,4 @@
-CC=gcc
+CC ?= gcc
diff --git a/media-gfx/jpegtoavi/jpegtoavi-1.5.ebuild b/media-gfx/jpegtoavi/jpegtoavi-1.5.ebuild
index eb054f06923d..5da0a3e24689 100644
--- a/media-gfx/jpegtoavi/jpegtoavi-1.5.ebuild
+++ b/media-gfx/jpegtoavi/jpegtoavi-1.5.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=2
-inherit eutils toolchain-funcs
+EAPI=6
+inherit toolchain-funcs
DESCRIPTION="JPEG to AVI/MJPEG animation command-line conversion tool"
HOMEPAGE="https://sourceforge.net/projects/jpegtoavi/"
@@ -13,17 +13,14 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
-src_prepare() {
- epatch "${FILESDIR}"/${P}-Makefile.patch
-}
+PATCHES=( "${FILESDIR}/${P}-Makefile.patch" )
-src_compile() {
+src_configure() {
tc-export CC
- emake || die
}
src_install() {
- dobin ${PN} || die
+ dobin ${PN}
doman ${PN}.1
dodoc CHANGELOG README
}
diff --git a/media-libs/celt/celt-0.5.1.3.ebuild b/media-libs/celt/celt-0.5.1.3.ebuild
index 9f9e2598cac0..8d4ede3a5894 100644
--- a/media-libs/celt/celt-0.5.1.3.ebuild
+++ b/media-libs/celt/celt-0.5.1.3.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
+EAPI=6
DESCRIPTION="CELT is a very low delay audio codec designed for high-quality communications"
HOMEPAGE="http://www.celt-codec.org/"
@@ -22,8 +22,8 @@ src_configure() {
}
src_install() {
- emake DESTDIR="${D}" install || die "emake install failed."
- dodoc README TODO || die "dodoc failed."
-
- use static-libs || find "${D}" -name '*.la' -delete
+ default
+ if ! use static-libs; then
+ find "${D}" -name '*.la' -delete || die "Pruning failed"
+ fi
}
diff --git a/media-libs/ilmbase/files/ilmbase-1.0.0-asneeded.patch b/media-libs/ilmbase/files/ilmbase-1.0.0-asneeded.patch
index dc69fb983636..a3953efd3513 100644
--- a/media-libs/ilmbase/files/ilmbase-1.0.0-asneeded.patch
+++ b/media-libs/ilmbase/files/ilmbase-1.0.0-asneeded.patch
@@ -1,5 +1,5 @@
---- IlmThread/Makefile.in
-+++ IlmThread/Makefile.in
+--- a/IlmThread/Makefile.in
++++ b/IlmThread/Makefile.in
@@ -209,7 +209,7 @@
IlmThreadMutexPosix.cpp
diff --git a/media-libs/ilmbase/files/ilmbase-1.0.2-gcc43.patch b/media-libs/ilmbase/files/ilmbase-1.0.2-gcc43.patch
index d822092254d8..a4e186058fe8 100644
--- a/media-libs/ilmbase/files/ilmbase-1.0.2-gcc43.patch
+++ b/media-libs/ilmbase/files/ilmbase-1.0.2-gcc43.patch
@@ -1,5 +1,5 @@
---- Imath/ImathMatrix.h
-+++ Imath/ImathMatrix.h
+--- a/Imath/ImathMatrix.h
++++ b/Imath/ImathMatrix.h
@@ -37,6 +37,8 @@
#ifndef INCLUDED_IMATHMATRIX_H
#define INCLUDED_IMATHMATRIX_H
diff --git a/media-libs/ilmbase/ilmbase-1.0.2.ebuild b/media-libs/ilmbase/ilmbase-1.0.2.ebuild
index eb979ea8ca4c..b92d275e1df2 100644
--- a/media-libs/ilmbase/ilmbase-1.0.2.ebuild
+++ b/media-libs/ilmbase/ilmbase-1.0.2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=2
-inherit eutils libtool
+EAPI=6
+inherit libtool
DESCRIPTION="OpenEXR ILM Base libraries"
HOMEPAGE="http://openexr.com/"
@@ -16,20 +16,22 @@ IUSE="static-libs"
RDEPEND="!<media-libs/openexr-1.5.0"
DEPEND="${RDEPEND}"
+PATCHES=(
+ "${FILESDIR}/${PN}-1.0.0-asneeded.patch"
+ "${FILESDIR}/${P}-gcc43.patch"
+)
+
src_prepare() {
- epatch "${FILESDIR}"/${PN}-1.0.0-asneeded.patch \
- "${FILESDIR}"/${P}-gcc43.patch
+ default
elibtoolize
}
src_configure() {
econf \
- --disable-dependency-tracking \
$(use_enable static-libs static)
}
src_install() {
- emake DESTDIR="${D}" install || die
- dodoc AUTHORS ChangeLog NEWS README
- find "${D}" -name '*.la' -delete
+ default
+ find "${D}" -name '*.la' -delete || die "Pruning failed"
}
diff --git a/media-libs/tse3/files/tse3-0.2.7-gcc4.patch b/media-libs/tse3/files/tse3-0.2.7-gcc4.patch
index ed92ded207ab..b58e538b8fed 100644
--- a/media-libs/tse3/files/tse3-0.2.7-gcc4.patch
+++ b/media-libs/tse3/files/tse3-0.2.7-gcc4.patch
@@ -1,5 +1,5 @@
---- ./src/tse3/cmd/Phrase.h~ 2002-07-28 17:17:11.000000000 +0200
-+++ ./src/tse3/cmd/Phrase.h 2005-07-29 15:45:03.000000000 +0200
+--- a/src/tse3/cmd/Phrase.h
++++ b/src/tse3/cmd/Phrase.h
@@ -19,6 +19,7 @@
#include "tse3/cmd/Command.h"
diff --git a/media-libs/tse3/files/tse3-0.2.7-size_t-64bit.patch b/media-libs/tse3/files/tse3-0.2.7-size_t-64bit.patch
index 29c54edc084f..fe628c306670 100644
--- a/media-libs/tse3/files/tse3-0.2.7-size_t-64bit.patch
+++ b/media-libs/tse3/files/tse3-0.2.7-size_t-64bit.patch
@@ -1,5 +1,5 @@
---- src/tse3/file/XML.h.orig 2002-07-28 18:17:11.000000000 +0300
-+++ src/tse3/file/XML.h 2004-04-25 14:51:56.000000000 +0300
+--- a/src/tse3/file/XML.h
++++ b/src/tse3/file/XML.h
@@ -154,6 +154,7 @@
void element(const std::string &name, const char *value);
void element(const std::string &name, int value);
@@ -8,8 +8,8 @@
void element(const std::string &name, bool value);
void comment(const std::string &comment);
---- src/tse3/file/XML.cpp.orig 2002-07-28 18:17:11.000000000 +0300
-+++ src/tse3/file/XML.cpp 2004-04-25 14:54:01.000000000 +0300
+--- a/src/tse3/file/XML.cpp
++++ b/src/tse3/file/XML.cpp
@@ -116,6 +116,12 @@
out << "<" << name << " value=\"" << value << "\"/>\n";
}
diff --git a/media-libs/tse3/files/tse3-0.3.1+gcc-4.3.patch b/media-libs/tse3/files/tse3-0.3.1+gcc-4.3.patch
index 4581da9d0bf7..0ff1ebb6ea1d 100644
--- a/media-libs/tse3/files/tse3-0.3.1+gcc-4.3.patch
+++ b/media-libs/tse3/files/tse3-0.3.1+gcc-4.3.patch
@@ -1,5 +1,5 @@
---- src/tse3/Serializable.h.orig 2008-06-08 12:17:05.000000000 +0200
-+++ src/tse3/Serializable.h 2008-06-08 12:17:27.000000000 +0200
+--- a/src/tse3/Serializable.h
++++ b/src/tse3/Serializable.h
@@ -20,6 +20,7 @@
#include <iosfwd>
#include <iomanip>
@@ -9,8 +9,8 @@
namespace TSE3
{
---- src/tse3/TSE2MDL.h.orig 2008-06-08 12:17:41.000000000 +0200
-+++ src/tse3/TSE2MDL.h 2008-06-08 12:18:02.000000000 +0200
+--- a/src/tse3/TSE2MDL.h
++++ b/src/tse3/TSE2MDL.h
@@ -22,6 +22,7 @@
#include <string>
#include <iostream>
@@ -20,8 +20,8 @@
namespace TSE3
{
---- src/tse3/MidiFile.h.orig 2008-06-08 12:18:26.000000000 +0200
-+++ src/tse3/MidiFile.h 2008-06-08 12:18:42.000000000 +0200
+--- a/src/tse3/MidiFile.h
++++ b/src/tse3/MidiFile.h
@@ -25,6 +25,7 @@
#include <string>
#include <iosfwd>
@@ -30,8 +30,8 @@
namespace TSE3
{
---- src/examples/recording/recording.cpp.orig 2008-06-08 12:18:56.000000000 +0200
-+++ src/examples/recording/recording.cpp 2008-06-08 12:19:18.000000000 +0200
+--- a/src/examples/recording/recording.cpp
++++ b/src/examples/recording/recording.cpp
@@ -26,6 +26,7 @@
*
**************************************************************/
@@ -41,8 +41,8 @@
// Used in step 1
---- src/tse3play/tse3play.h.orig 2008-06-08 12:19:34.000000000 +0200
-+++ src/tse3play/tse3play.h 2008-06-08 12:19:53.000000000 +0200
+--- a/src/tse3play/tse3play.h
++++ b/src/tse3play/tse3play.h
@@ -19,6 +19,7 @@
#include <string>
@@ -51,8 +51,8 @@
#include "tse3/Transport.h"
---- src/tse3/plt/Alsa-0.9.cpp.orig 2008-06-08 12:39:53.000000000 +0200
-+++ src/tse3/plt/Alsa-0.9.cpp 2008-06-08 12:40:25.000000000 +0200
+--- a/src/tse3/plt/Alsa-0.9.cpp
++++ b/src/tse3/plt/Alsa-0.9.cpp
@@ -25,12 +25,11 @@
#define HAVE_SYS_ASOUNDLIB_H
#endif
@@ -68,8 +68,8 @@
#include <sys/asoundlib.h>
#endif
---- src/tse3/plt/OSS.h.orig 2008-06-08 12:45:46.000000000 +0200
-+++ src/tse3/plt/OSS.h 2008-06-08 12:46:06.000000000 +0200
+--- a/src/tse3/plt/OSS.h
++++ b/src/tse3/plt/OSS.h
@@ -21,6 +21,7 @@
#include <string>
diff --git a/media-libs/tse3/files/tse3-0.3.1-parallelmake.patch b/media-libs/tse3/files/tse3-0.3.1-parallelmake.patch
index b4fc927a7183..7a0d0918b142 100644
--- a/media-libs/tse3/files/tse3-0.3.1-parallelmake.patch
+++ b/media-libs/tse3/files/tse3-0.3.1-parallelmake.patch
@@ -1,5 +1,5 @@
---- src/tse3/Makefile.am.old 2007-02-06 23:57:38.000000000 +0100
-+++ src/tse3/Makefile.am 2007-02-07 00:08:01.000000000 +0100
+--- a/src/tse3/Makefile.am
++++ b/src/tse3/Makefile.am
@@ -53,7 +53,7 @@
noinst_PROGRAMS = test
diff --git a/media-libs/tse3/tse3-0.3.1-r1.ebuild b/media-libs/tse3/tse3-0.3.1-r1.ebuild
index 08519f982de1..9c10927b83eb 100644
--- a/media-libs/tse3/tse3-0.3.1-r1.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=2
-inherit autotools eutils flag-o-matic
+EAPI=6
+inherit autotools flag-o-matic
DESCRIPTION="TSE3 Sequencer library"
HOMEPAGE="http://TSE3.sourceforge.net"
@@ -17,17 +17,21 @@ IUSE="alsa oss"
RDEPEND="alsa? ( media-libs/alsa-lib )"
DEPEND="${RDEPEND}"
+PATCHES=(
+ "${FILESDIR}/${PN}-0.2.7-size_t-64bit.patch"
+ "${FILESDIR}/${PN}-0.2.7-gcc4.patch"
+ "${FILESDIR}/${P}-parallelmake.patch"
+ "${FILESDIR}/${P}+gcc-4.3.patch"
+)
+
src_prepare() {
+ default
+ mv configure.in configure.ac || die "Moving configure.in -> .ac failed"
if use oss; then
- cp "${WORKDIR}"/awe_voice.h src/
- append-flags -DHAVE_AWE_VOICE_H
+ cp "${WORKDIR}"/awe_voice.h src/ || die "copy failed"
+ append-cppflags -DHAVE_AWE_VOICE_H
fi
- epatch "${FILESDIR}"/${PN}-0.2.7-size_t-64bit.patch \
- "${FILESDIR}"/${PN}-0.2.7-gcc4.patch \
- "${FILESDIR}"/${P}-parallelmake.patch \
- "${FILESDIR}"/${P}+gcc-4.3.patch
-
eautoreconf
}
@@ -44,7 +48,7 @@ src_configure() {
}
src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
- dodoc AUTHORS NEWS README THANKS TODO doc/History
- dohtml doc/*.{html,gif,png}
+ HTML_DOCS=( doc/*.{html,gif,png} )
+ default
+ dodoc doc/History
}
diff --git a/net-libs/libssh2/libssh2-1.8.0-r1.ebuild b/net-libs/libssh2/libssh2-1.8.0-r1.ebuild
index 52367d837a90..f2bdf7807da5 100644
--- a/net-libs/libssh2/libssh2-1.8.0-r1.ebuild
+++ b/net-libs/libssh2/libssh2-1.8.0-r1.ebuild
@@ -10,7 +10,7 @@ SRC_URI="https://www.${PN}.org/download/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="gcrypt libressl static-libs test zlib"
DEPEND="
diff --git a/net-wireless/bluez/bluez-5.49-r1.ebuild b/net-wireless/bluez/bluez-5.49-r1.ebuild
index 843f66de1eb8..ed09b204db99 100644
--- a/net-wireless/bluez/bluez-5.49-r1.ebuild
+++ b/net-wireless/bluez/bluez-5.49-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://kernel/linux/bluetooth/${P}.tar.xz"
LICENSE="GPL-2+ LGPL-2.1+"
SLOT="0/3"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 x86"
+KEYWORDS="amd64 arm ~arm64 ~hppa ~mips ~ppc ~ppc64 x86"
IUSE="alsa cups doc debug deprecated extra-tools experimental +mesh +obex +readline selinux systemd test test-programs +udev user-session"
# Since this release all remaining extra-tools need readline support, but this could
diff --git a/profiles/package.mask b/profiles/package.mask
index 8636afe5ae1a..a08b1ee695b9 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -169,7 +169,6 @@ games-misc/dont-starve
games-puzzle/larry
games-rpg/avadon
games-rpg/penumbra-collection
-games-rpg/wasteland2
# Michał Górny <mgorny@gentoo.org> (15 May 2018)
# All current versions are unfetchable. No maintainer activity
diff --git a/sci-visualization/gnuplot/gnuplot-5.2.2.ebuild b/sci-visualization/gnuplot/gnuplot-5.2.2.ebuild
index af8759f6cea6..5d97c48e24ef 100644
--- a/sci-visualization/gnuplot/gnuplot-5.2.2.ebuild
+++ b/sci-visualization/gnuplot/gnuplot-5.2.2.ebuild
@@ -17,11 +17,11 @@ if [[ -z ${PV%%*9999} ]]; then
ECVS_CVS_OPTIONS="-dP"
MY_P="${PN}"
SRC_URI=""
- KEYWORDS="alpha amd64 ia64 x86"
+ KEYWORDS="alpha amd64 arm ia64 x86"
else
MY_P="${P/_/.}"
SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
- KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~ppc ~ppc64 ~s390 ~sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~ppc ~ppc64 ~s390 ~sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="gnuplot bitmap? ( free-noncomm )"
diff --git a/sys-apps/usbutils/usbutils-009.ebuild b/sys-apps/usbutils/usbutils-009.ebuild
index 6f8799ca0b5c..477f9c5cdc05 100644
--- a/sys-apps/usbutils/usbutils-009.ebuild
+++ b/sys-apps/usbutils/usbutils-009.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://kernel/linux/utils/usb/${PN}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="alpha amd64 ~arm arm64 ~hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~arm-linux ~x86-linux"
+KEYWORDS="alpha amd64 arm arm64 ~hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~arm-linux ~x86-linux"
IUSE="python"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
diff --git a/sys-fs/e2fsprogs/e2fsprogs-1.43.9.ebuild b/sys-fs/e2fsprogs/e2fsprogs-1.43.9.ebuild
index 45aa9b9ace6d..ee9eb962a0cb 100644
--- a/sys-fs/e2fsprogs/e2fsprogs-1.43.9.ebuild
+++ b/sys-fs/e2fsprogs/e2fsprogs-1.43.9.ebuild
@@ -18,7 +18,7 @@ SRC_URI="mirror://sourceforge/e2fsprogs/${PN}-${UP_PV}.tar.gz
LICENSE="GPL-2 BSD"
SLOT="0"
-KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 -x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~m68k-mint"
+KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 -x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~m68k-mint"
IUSE="fuse nls static-libs elibc_FreeBSD"
RDEPEND="~sys-libs/${PN}-libs-${PV}
diff --git a/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.43.9.ebuild b/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.43.9.ebuild
index 985969c9aa31..8ba0cbeaafc1 100644
--- a/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.43.9.ebuild
+++ b/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.43.9.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://sourceforge/e2fsprogs/${PN}-${UP_PV}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~m68k-mint ~x86-solaris"
+KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~m68k-mint ~x86-solaris"
IUSE="nls static-libs"
RDEPEND="!sys-libs/com_err